MyGUI: Data Fields - Functions

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all functions with links to the structures/unions they belong to:

### - o -

- onFrameEvent() : MyGUI::RenderManager
- onKeyButtonPressed() : MyGUI::ComboBox, MyGUI::EditBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::WidgetInput
- onKeyButtonReleased() : MyGUI::ItemBox, MyGUI::ListBox, MyGUI::WidgetInput
- onKeyChangeRootFocus() : MyGUI::MenuControl, MyGUI::WidgetInput, MyGUI::Window
- onKeyLostFocus() : MyGUI::Button, MyGUI::EditBox, MyGUI::ItemBox, MyGUI::WidgetInput
- onKeySetFocus() : MyGUI::Button, MyGUI::EditBox, MyGUI::ItemBox, MyGUI::WidgetInput
- onMouseButtonClick() : MyGUI::WidgetInput
- onMouseButtonDoubleClick() : MyGUI::WidgetInput
- onMouseButtonPressed() : MyGUI::Button, MyGUI::DDContainer, MyGUI::ItemBox, MyGUI::WidgetInput, MyGUI::Window
- onMouseButtonReleased() : MyGUI::Button, MyGUI::DDContainer, MyGUI::ItemBox, MyGUI::WidgetInput, MyGUI::Window
- onMouseChangeRootFocus() : MyGUI::WidgetInput, MyGUI::Window
- onMouseDrag() : MyGUI::DDContainer, MyGUI::EditBox, MyGUI::ItemBox, MyGUI::WidgetInput, MyGUI::Window
- onMouseLostFocus() : MyGUI::Button, MyGUI::WidgetInput
- onMouseMove() : MyGUI::WidgetInput
- onMouseSetFocus() : MyGUI::Button, MyGUI::WidgetInput
- onMouseWheel() : MyGUI::ItemBox, MyGUI::ListBox, MyGUI::ScrollBar, MyGUI::WidgetInput
- onRenderToTarget() : MyGUI::RenderManager
- onResizeView() : MyGUI::RenderManager
- onWidgetCreated() : MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::MultiListBox, MyGUI::TabControl, MyGUI::Widget
- onWidgetDestroy() : MyGUI::MultiListBox, MyGUI::Widget
- open() : MyGUI::FileLogListener, MyGUI::ILogListener, MyGUI::LogSource, MyGUI::xml::Document
- operator std::string() : MyGUI::UString
- operator std::wstring() : MyGUI::UString
- operator!=() : MyGUI::Colour, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString
- operator()() : MyGUI::delegates::Delegate< Args >, MyGUI::delegates::MultiDelegate< Args >, MyGUI::EventPair< EventObsolete, Event >, MyGUI::EventPairAddParameter< EventObsolete, Event >
- operator*() : MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator
- operator+() : MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator, MyGUI::UString
- operator++() : MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator
- operator+=() : MyGUI::delegates::MultiDelegate< Args >, MyGUI::EventPair< EventObsolete, Event >, MyGUI::EventPairAddParameter< EventObsolete, Event >, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator
- operator-() : MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator
- operator--() : MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator
- operator-=() : MyGUI::delegates::MultiDelegate< Args >, MyGUI::EventPair< EventObsolete, Event >, MyGUI::EventPairAddParameter< EventObsolete, Event >, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator
- operator->() : MyGUI::Enumerator< T >, MyGUI::xml::ElementEnumerator
- operator<() : MyGUI::UString
- operator<<() : MyGUI::LogStream, MyGUI::UString
- operator<=() : MyGUI::UString
- operator=() : MyGUI::Any, MyGUI::Colour, MyGUI::delegates::Delegate< Args >, MyGUI::delegates::MultiDelegate< Args >, MyGUI::EventPair< EventObsolete, Event >, MyGUI::EventPairAddParameter< EventObsolete, Event >, MyGUI::Exception, MyGUI::IResource, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString
- operator==() : MyGUI::Colour, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString
- operator>() : MyGUI::UString
- operator>=() : MyGUI::UString
- operator[]() : MyGUI::UString::_const_fwd_iterator, MyGUI::UString::_const_rev_iterator, MyGUI::UString::_fwd_iterator, MyGUI::UString::_rev_iterator, MyGUI::UString
- operatorShiftLeft() : MyGUI::Colour
- operatorShiftRight() : MyGUI::Colour
- operator|=() : MyGUI::Align, MyGUI::TextureUsage
- outOfDate() : MyGUI::ILayerNode, MyGUI::LayerNode, MyGUI::RenderItem
- OverlappedLayer() : MyGUI::OverlappedLayer